### Method

# ICalGLib Component take_component

since: 1.0

#### Declaration [src]

    void
    i_cal_component_take_component (
      ICalComponent* parent,
      ICalComponent* child
    )

#### Description [src]

Adds the `child` into the `parent` as a child component and unrefs the `child`.

Available since: 1.0

This method is not directly available to language bindings.

#### Parameters

`child`

  Type: `ICalComponent`

  A child `ICalComponent`.

  The instance takes ownership of the data, and is responsible for freeing it.